Bug 969877

Summary: Review Request: rubygem-timers - Pure Ruby one-shot and periodic timers
Product: [Fedora] Fedora Reporter: Achilleas Pipinellis <axilleas>
Component: Package ReviewAssignee: Vít Ondruch <vondruch>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 19CC: fedora, notting, package-review, thrcka, vondruch
Target Milestone: ---Flags: vondruch: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rubygem-timers-1.1.0-2.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-05 20:19:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Achilleas Pipinellis 2013-06-02 17:16:30 EDT
This is my first package and I am seeking a sponsor.

Fedora Account System Username: axilleas

Spec URL: https://github.com/axilleas/fedora/raw/master/packages/rubygem-timers/rubygem-timers.spec
SRPM URL: https://github.com/axilleas/fedora/blob/master/packages/rubygem-timers/rubygem-timers-1.1.0-1.fc19.src.rpm?raw=true

------------------------------

Other useful logs:

rpmbuild: https://github.com/axilleas/fedora/raw/master/packages/rubygem-timers/rpmbuild
mock: https://github.com/axilleas/fedora/raw/master/packages/rubygem-timers/mock
rpmlint: https://github.com/axilleas/fedora/raw/master/packages/rubygem-timers/rpmlint
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5447148

------------------------------

Description: Pure Ruby timer collections. Schedule several procs to fire after configurable delays or at periodic intervals.
Comment 1 Vít Ondruch 2013-06-03 03:36:58 EDT
I'll take it for a review and I can sponsor you as well.
Comment 2 Vít Ondruch 2013-06-03 04:23:16 EDT
(In reply to Axilleas Pipinellis from comment #0)
> SRPM URL:
> https://github.com/axilleas/fedora/blob/master/packages/rubygem-timers/
> rubygem-timers-1.1.0-1.fc19.src.rpm?raw=true

This is a bit weird URL. The one you provided for the .spec file is more wget friendly. This is just convenience remark ;)

* Summary vs Description
  - Don't you have summary and description fields swapped? Summary is typically
    brief version of Description, while you have it the opposite way. Also the
    summary provided by upstream is "Pure Ruby one-shot and periodic timers"
    IMO, while you have this text in description.

* Test suite
  - "pushd ." makes no sense IMO.
  - It would be better to do "push .%{gem_instdir}" instead. Currently, you are
    testing the unpacked version of gem, i.e. the gem as is unpacked in %prep
    section. That works for plain Ruby gem, but you could not use this approach
    for binary gem, since you would miss the compiled extension.

Otherwise, the package looks good.

However, prior I sponsor you and since this is trivial package, could you please take look on some other packages and do some informal review of them? You can finish their review later, once officially sponsored. Thanks.


[1] http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 3 Vít Ondruch 2013-06-03 07:37:30 EDT
BTW, I almost forget, could you please introduce yourself on fedora-devel ML [1]? Thanks.


[1] https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Introduce_yourself
Comment 4 Achilleas Pipinellis 2013-06-03 12:56:10 EDT
New Spec: http://axilleas.fedorapeople.org/pkgs/rubygem-timers/rubygem-timers.spec
New SRPM: http://axilleas.fedorapeople.org/pkgs/rubygem-timers/rubygem-timers-1.1.0-2.fc19.src.rpm

------------------------------

(In reply to Vít Ondruch from comment #2)
> (In reply to Axilleas Pipinellis from comment #0)
> > SRPM URL:
> > https://github.com/axilleas/fedora/blob/master/packages/rubygem-timers/
> > rubygem-timers-1.1.0-1.fc19.src.rpm?raw=true
> 
> This is a bit weird URL. The one you provided for the .spec file is more
> wget friendly. This is just convenience remark ;)

You are right. I had opened a ticket [0] to request access at fedorapeople, so you will find any future packages there :)

> * Summary vs Description
>   - Don't you have summary and description fields swapped? Summary is
> typically
>     brief version of Description, while you have it the opposite way. Also
> the
>     summary provided by upstream is "Pure Ruby one-shot and periodic timers"
>     IMO, while you have this text in description.

Oops, I had them swapped in a try-and-error attempt when rpmlint complained about Summary beeing too long. Fixed. 

> * Test suite
>   - "pushd ." makes no sense IMO.
>   - It would be better to do "push .%{gem_instdir}" instead. Currently, you
> are
>     testing the unpacked version of gem, i.e. the gem as is unpacked in %prep
>     section. That works for plain Ruby gem, but you could not use this
> approach
>     for binary gem, since you would miss the compiled extension.

Sorry about that. I have yet to understand what each command does. I asked about popd/pushd at the developers channel just yesterday.

> Otherwise, the package looks good.
> 
> However, prior I sponsor you and since this is trivial package, could you
> please take look on some other packages and do some informal review of them?
> You can finish their review later, once officially sponsored. Thanks.
> 
> 
> [1]
> http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

By informal review you mean what exactly? Just find a package that needs review and express my thoughts at the bugzilla? 

(In reply to Vít Ondruch from comment #3)
> BTW, I almost forget, could you please introduce yourself on fedora-devel ML
> [1]? Thanks.
> 
> 
> [1]
> https://fedoraproject.org/wiki/
> Join_the_package_collection_maintainers#Introduce_yourself

Done [1]. 

--------

[0] https://fedorahosted.org/packager-sponsors/ticket/67
[1] http://lists.fedoraproject.org/pipermail/devel/2013-June/183634.html
Comment 5 Vít Ondruch 2013-06-04 06:45:38 EDT
(In reply to Axilleas Pipinellis from comment #4)
> New Spec:
> http://axilleas.fedorapeople.org/pkgs/rubygem-timers/rubygem-timers.spec
> New SRPM:
> http://axilleas.fedorapeople.org/pkgs/rubygem-timers/rubygem-timers-1.1.0-2.
> fc19.src.rpm

Thanks, looks good now.

> By informal review you mean what exactly? Just find a package that needs
> review and express my thoughts at the bugzilla? 

Yes, exactly. Other possibility might be to submit more packages for a review and once I review them, I'll sponsor you.
Comment 6 Björn "besser82" Esser 2013-06-04 07:59:56 EDT
(In reply to Axilleas Pipinellis from comment #4)
> > However, prior I sponsor you and since this is trivial package, could you
> > please take look on some other packages and do some informal review of them?
> > You can finish their review later, once officially sponsored. Thanks.
> 
> By informal review you mean what exactly? Just find a package that needs
> review and express my thoughts at the bugzilla? 

I think Vit's intention is you should follow the process as described here:
http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Reviewing_packages

So you just pick two or three random review-bugs (how-to find them is described in link above) which are not assigned yet (and preferably do not block FE-NEEDSPONSOR), add yourself and possibly Vit to CC-list and start doing a `regular` review-process WITHOUT assigning yourself to the review-bug and WITHOUT setting the fedora-review(?)-flag. You should post a link to this review-bug inside this one and your trac-ticket sponsorship-request.

In your first comment you should make clear that the review you're doing is an informal one. Then you should go down the whole review-process until the pkg would usually get fedora-review(+)-flag from a fedora-packager-person.

As soon as you get sponsored into the packager-group, you can assign the review-bugs, which you did informal reviews on, and approve / set fedora-review(+)-flag then.

If you have any questions feel free to ask. If you want to take a "guided review" before starting your own informal reviews you can ask me, too.
Comment 7 Achilleas Pipinellis 2013-06-04 08:12:55 EDT
(In reply to Vít Ondruch from comment #5)
> Yes, exactly. Other possibility might be to submit more packages for a
> review and once I review them, I'll sponsor you.

Will look into it, thanks.

(In reply to Björn Esser from comment #6)
> 
> I think Vit's intention is you should follow the process as described here:
> http://fedoraproject.org/wiki/
> How_to_get_sponsored_into_the_packager_group#Reviewing_packages
> 
> So you just pick two or three random review-bugs (how-to find them is
> described in link above) which are not assigned yet (and preferably do not
> block FE-NEEDSPONSOR), add yourself and possibly Vit to CC-list and start
> doing a `regular` review-process WITHOUT assigning yourself to the
> review-bug and WITHOUT setting the fedora-review(?)-flag. You should post a
> link to this review-bug inside this one and your trac-ticket
> sponsorship-request.
> 
> In your first comment you should make clear that the review you're doing is
> an informal one. Then you should go down the whole review-process until the
> pkg would usually get fedora-review(+)-flag from a fedora-packager-person.
> 
> As soon as you get sponsored into the packager-group, you can assign the
> review-bugs, which you did informal reviews on, and approve / set
> fedora-review(+)-flag then.
> 
> If you have any questions feel free to ask. If you want to take a "guided
> review" before starting your own informal reviews you can ask me, too.

Cool, thanks for the info :)

About the trac-ticket sponsorship-request, should I fill a ticket too? I didn't see that anywhere in the wiki...

Can I ping you in irc? Better not "pollute" BZ.
Comment 8 Vít Ondruch 2013-06-04 08:21:37 EDT
(In reply to Axilleas Pipinellis from comment #7)
> About the trac-ticket sponsorship-request, should I fill a ticket too? I
> didn't see that anywhere in the wiki...

No, you don't have to.
Comment 9 Björn "besser82" Esser 2013-06-04 08:51:06 EDT
(In reply to Axilleas Pipinellis from comment #7)
> Cool, thanks for the info :)

You're welcome.

> Can I ping you in irc? Better not "pollute" BZ.

You can contact via email. I don't hang around on irc, yet. Will have to create an account...
Comment 10 Björn "besser82" Esser 2013-06-05 03:32:06 EDT
(In reply to Axilleas Pipinellis from comment #7)
> Can I ping you in irc? Better not "pollute" BZ.
 
You can ping me on IRC now,too. My nick is: besser82, hanging around in #fedora, #fedora-de, #fedora-mentors
Comment 11 Achilleas Pipinellis 2013-07-18 07:04:34 EDT
Hey! Just bumping this up and listing some packages I submitted for Review, as well as an informal review. I guess I could do some more informal reviews if needed. Cheers!

- Submitted

rubygem-redis           : https://bugzilla.redhat.com/show_bug.cgi?id=978284
rubygem-bootstrap-sass  : https://bugzilla.redhat.com/show_bug.cgi?id=982679
rubygem-hashie          : https://bugzilla.redhat.com/show_bug.cgi?id=985358

- Informal review

rubygem-rugged: https://bugzilla.redhat.com/show_bug.cgi?id=927374


I have some other ready and some with failing tests I am tryin to resolve. Also some packages I want to submit depend on newer gems than what packaged in Fedora. What can I do in such cases? Contact the author? 

eg. Fedora has multi_json 1.7.1 whereas I need >= 1.7.2. I have a working spec with latest 1.7.7, though.

Thanks!
Comment 12 Vít Ondruch 2013-07-18 08:02:27 EDT
You shown good understanding in packaging, so lets move forward. I sponsored you into packagers group.
Comment 13 Vít Ondruch 2013-07-18 08:05:46 EDT
As I already noted, this package looks good, so I APPROVE it.

Please proceed with SCM request [1, 2] and import this package to Fedora.

You can also finish the rubygem-rugged review now.


[1] https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
[2] https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 14 Vít Ondruch 2013-07-18 08:10:26 EDT
(In reply to Axilleas Pipinellis from comment #11)
> Also some packages I want to submit depend on newer gems than what packaged
> in Fedora. What can I do in such cases? Contact the author? 
> 
> eg. Fedora has multi_json 1.7.1 whereas I need >= 1.7.2. I have a working
> spec with latest 1.7.7, though.

The best is to open bug with update request and justification. Sometimes, there are already bugs filled by upstream release monitoring [1], so you can bump the maintainer there.

BTW it is good idea to add into upstream release monitoring all your packages, so you are informed about new releases.


[1] https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 15 Achilleas Pipinellis 2013-07-19 09:44:51 EDT
New Package SCM Request
=======================
Package Name: rubygem-timers
Short Description: Pure Ruby one-shot and periodic timers
Owners: axilleas
Branches: f19
InitialCC:
Comment 16 Jon Ciesla 2013-07-19 10:14:20 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-07-23 01:52:36 EDT
rubygem-timers-1.1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-timers-1.1.0-2.fc19
Comment 18 Fedora Update System 2013-07-23 23:47:05 EDT
rubygem-timers-1.1.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 19 Fedora Update System 2013-08-05 20:19:18 EDT
rubygem-timers-1.1.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 20 Tomas Hrcka 2015-02-17 02:58:16 EST
Package Change Request
======================
Package Name: rubygem-timers
New Branches: epel7
Owners: bar axilleas humaton
Comment 21 Tomas Hrcka 2015-02-17 07:50:34 EST
Package Change Request
======================
Package Name: rubygem-timers
New Branches: epel7
Owners: axilleas humaton jstribny


There was a bar user as typo updated to jstribny
Comment 22 Jon Ciesla 2015-02-17 08:50:53 EST
Git done (by process-git-requests).